package vc.thinker.thirdpartyproxy.protocolimpls.test;

import lombok.AllArgsConstructor;
import lombok.Getter;
import vc.thinker.absctacts.protocolproxy.enums.IMeterEventDefine;

/**
 * 测试协议事件定义
 *
 * @author HeTongHao
 * @since 2021/7/9 16:20
 */
@Getter
@AllArgsConstructor
public enum TestMeterEventDefine implements IMeterEventDefine {
    /**
     * 数据组
     */
    alert("alert", "告警"),
    shutdown("shutdown", "停机"),
    ;
    /**
     * 编号，设备下唯一
     */
    private final String code;
    /**
     * 属性名称
     */
    private final String name;
}
